# Uses of Class
it.tdlight.jni.TdApi.CallState

## Uses of TdApi.CallState in it.tdlight.jni

Subclasses of TdApi.CallState in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.CallStateDiscarded`
The call has ended successfully.
`static final class`
`TdApi.CallStateError`
The call has ended with an error.
`static final class`
`TdApi.CallStateExchangingKeys`
The call has been answered and encryption keys are being exchanged.
`static final class`
`TdApi.CallStateHangingUp`
The call is hanging up after discardCall has been called.
`static final class`
`TdApi.CallStatePending`
The call is pending, waiting to be accepted by a user.
`static final class`
`TdApi.CallStateReady`
The call is ready to use.
Fields in it.tdlight.jni declared as TdApi.CallState
Modifier and Type
Field
Description
`TdApi.CallState`
TdApi.Call.`state`
Call state.
Constructors in it.tdlight.jni with parameters of type TdApi.CallState
Modifier
Constructor
Description
``
`Call(int id, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)`
Describes a call.